#!/usr/bin/gnuplot

day = 1440.  # min

########################################################################

set term post eps enh color dashed
set out "chi2_TTV.eps"
set size 1.0,0.7

set xl "JD {/Symbol -} 2400000"
set yl "ETV [min] wrt. N-body model" offset +0.5,0

set zeroaxis
set xr [48000:58500]
set xtics 1000
y2=60
y1=-y2
set yr [y1:y2]
set ytics 20
set mytics 2
set key left samplen 1.0 width -3.0

load "config.plt"

set bmargin 3.2
set tmargin 0.5
set lmargin 7.0
set rmargin 0.1

load "T0.plt"

p "minima.dat" u ($1-2400000):(0) t "synthetic minima" w p lt 7 pt 1 ps 0.75,\
  "Omc12.dat" u ($1-2400000):4 t "observed minima" w p lt 9 lw 2 pt 2 ps 2,\
  "chi2_TTV.dat" u ($1-2400000):($3*day):($5*day) t "ETV" w err lt 1 lw 2 ps 0.5,\
  "vline.dat" u (T0-2400000):(y1+(y2-y1)*$2) not w l lt 0,\
#pa -1

q


