#!/usr/bin/gnuplot

set term post eps enh color solid
set out "orbit3.eps"

set origin 0,0
set size 0.6,1.38
set multiplot
set size 0.6,0.33
set origin 0,0
dy=0.267

set xl "{/Helvetica-Oblique t} [Myr]"
set yl "{/Helvetica-Oblique a} [AU]" offset 1.5,0
set lmargin 9.1
set rmargin 2.1

load "config.plt"
load "T0.plt"
T0=0.
Myr=365.25e6

set arrow from T0,graph 0 to T0,graph 1 nohead lt 0

p "<awk '($2==-4)' xvpl2el.out" u ($1/Myr):3 not w l ls 4

set origin 0,1*dy
set xl ""
set yl "{/Helvetica-Oblique e} []" offset 2,0
set xtics format " "

p "<awk '($2==-4)' xvpl2el.out" u ($1/Myr):4 not w l ls 4

set origin 0,2*dy
set yl "{/Helvetica-Oblique i} [deg]" offset 1,0

p "<awk '($2==-4)' xvpl2el.out" u ($1/Myr):5 not w l ls 4

set origin 0,3*dy
set yl "{/Symbol W} [deg]"
set yr [0:360]

p "<awk '($2==-4)' xvpl2el.out" u ($1/Myr):6 not w d ls 4

set origin 0,4*dy
set yl "{/Symbol w} [deg]"

p "<awk '($2==-4)' xvpl2el.out" u ($1/Myr):7 not w d ls 4


